function checkingall(check_class,tc_message){
    var this_top = $(check_class).offset().top;
    var this_left = $(check_class).offset().left + $(check_class).outerWidth();
    $(tc_message).css({"top":this_top,"left":this_left});
    $(tc_message).show();
    setTimeout(function(){$(tc_message).hide()},10000);
}
$(function(){
    //上传方法
    $(".upload_p").click(function(){$("#fileToUpload").trigger('click');})
    var time_yl;
    /*$(".sales_combo").eq(0).addClass("hidden");*/
    $("input").attr("autocomplete","off");
    $(".star_po span").mouseover(function(){
        var _this = ($(this).index()+1)*2;
        $(this).parents(".p_star_k").find(".star_k").attr("src","http://resource.nsyh001.com/Photo/star"+_this+".gif");
        $(this).parents(".p_star_k").find(".star_k").attr("title",_this);
        $('#starlevel').val(_this/2);
    })
    var sb_timer = null;
    var suiji_number = 0;
    var real_suiji = $(".sass_jzd img").length;
    $(".sass_jzd").find("img").eq(0).show();
    sb_timer = window.setInterval(function(){
        suiji_number++;
        if(suiji_number>=real_suiji){
            suiji_number=0;
        }
        $(".sass_jzd").find("img").hide();
        $(".sass_jzd").find("img").eq(suiji_number).fadeIn();
    },5000)

    function pro_s(class_n){
        $(class_n).hover(function(){
            var _this = $(this);
            time_yl = setTimeout(function(){
                if(navigator.userAgent.indexOf("MSIE 6.0")>0){
                    _this.find(".pro_bot").show();
                }else{
                    _this.find(".pro_bot").slideDown(150);
                };
                _this.find(".pro_bot li").click(function(){
                    if(class_n == '.p_sort' || class_n == '.p_sort1' || class_n == '.p_sort2' || class_n == '.p_sort3'){
                        if(class_n == '.p_sort'){
                            $('#sort').val($(this).find("a").next().val());
                        }
                        if(class_n == '.p_sort1'){
                            $('#sort1').val($(this).find("a").next().val());
                        }
                        if(class_n == '.p_sort2'){
                            $('#page').val($(this).find("a").next().val());
                        }
                        if(class_n == '.p_sort3'){
                            $('#forum').val($(this).find("a").next().val());
                        }
                    }

                    if(class_n == '.plant' || class_n == '.plant1' || class_n == '.plant2' || class_n == '.province_w' || class_n == '.city_w' || class_n == '.county_w'){
                        if(class_n == '.plant'){
                            $('#plant').val($(this).find("a").next().val());
                            plantinfo = select_plant($(this).find("a").next().val());
                            $('.plant1').find(".pro_top").html('请选择');
                            $('.plant2').find(".pro_top").html('请选择');
                            $('#plants1').html(plantinfo);
                        }
                        if(class_n == '.plant1'){
                            $('#plant1').val($(this).find("a").next().val());
                            plantinfo = select_plant($(this).find("a").next().val());
                            $('.plant2').find(".pro_top").html('请选择');
                            $('#plants2').html(plantinfo);
                        }
                        if(class_n == '.plant2'){
                            $('#plant2').val($(this).find("a").next().val());
                        }
                        if(class_n == '.province_w'){
                            $('#plant').val($(this).find("a").next().val());
                            plantinfo = select_plant($(this).find("a").next().val());
                            $('.city_w').find(".pro_top").html('请选择');
                            $('.county_w').find(".pro_top").html('请选择');
                            $('#plants1').html(plantinfo);
                        }
                        if(class_n == '.city_w'){
                            $('#plant1').val($(this).find("a").next().val());
                            plantinfo = select_plant($(this).find("a").next().val());
                            $('.county_w').find(".pro_top").html('请选择');
                            $('#plants2').html(plantinfo);

                        }
                        if(class_n == '.county_w'){
                            $('#plant2').val($(this).find("a").next().val());
                        }

                    }

                    if(class_n == '.province' || class_n == '.city' || class_n == '.county' || class_n == '.n_province' || class_n == '.n_city' || class_n == '.n_county'){
                        if($('#expertlist').size()>0){
                            if(class_n == '.province'){
                                $('#provice').val($(this).find("a").next().val());
                                $('#city').val('');
                                $('#county').val('');
                                selectforum('','provice');
                            }

                            if(class_n == '.city'){
                                $('#city').val($(this).find("a").next().val());
                                $('#county').val('');
                                selectforum('','city');
                            }
                            if(class_n == '.county'){
                                $('#county').val($(this).find("a").next().val());
                                selectforum('','county');
                            }
                        }else{
                            if(class_n == '.province'){
                                $('#provice').val($(this).find("a").next().val());
                                addressinfo = select_address($(this).find("a").next().val());

                                $('#citys').html(addressinfo);
                                $('.city').find(".pro_top").html('选择城市');
                                $('.county').find(".pro_top").html('选择县区');
                                $('#county').html('');
                            }
                            if(class_n == '.city'){
                                $('#city').val($(this).find("a").next().val());
                                addressinfo = select_address($(this).find("a").next().val());

                                $('#countys').html(addressinfo);
                                $('.county').find(".pro_top").html('选择县区');
                            }
                            if(class_n == '.county'){
                                $('#county').val($(this).find("a").next().val());
                            }
                        }
                        if(class_n == '.n_province'){
                            $('#provice').val($(this).find("a").next().val());
                            addressinfo = select_address($(this).find("a").next().val());
                            $('#citys').html(addressinfo);
                            $('.n_city').find(".pro_top").html('选择城市');
                            $('.n_county').find(".pro_top").html('选择县区');
                            $('#countys').html('');
                        }
                        if(class_n == '.n_city'){
                            $('#city').val($(this).find("a").next().val());
                            addressinfo = select_address($(this).find("a").next().val());
                            $('#countys').html(addressinfo);
                            $('.n_county').find(".pro_top").html('选择县区');
                        }
                        if(class_n == '.n_county'){
                            $('#county').val($(this).find("a").next().val());
                        }
                    }

                    $(class_n).find(".pro_top").html($(this).find("a").html());

                    if(navigator.userAgent.indexOf("MSIE 6.0")>0){
                        _this.find(".pro_bot").hide();
                    }else{
                        _this.find(".pro_bot").slideUp(150);
                    }
                    return false;
                })
            },400);
        },function(){
            clearTimeout(time_yl);
            if(navigator.userAgent.indexOf("MSIE 6.0")>0){
                $(this).find(".pro_bot").hide();
            }else{
                $(this).find(".pro_bot").slideUp(150);
            }
        })

    }
    pro_s(".plant");//作物
    pro_s(".plant1");//作物
    pro_s(".plant2");//作物

    pro_s(".province");//省
    pro_s(".city");//市
    pro_s(".county");//县
    pro_s(".village");//添加会员
    pro_s(".village_v");//添加会员
    pro_s(".village_t");//添加会员
    pro_s(".province_w");//添加会员
    pro_s(".city_w");//添加会员
    pro_s(".county_w");//添加会员
    pro_s(".county_p");
    pro_s(".n_province");//完善个人信息
    pro_s(".n_city");//完善个人信息
    pro_s(".n_county");//完善个人信息
    pro_s(".c_check_w");
    pro_s(".c_check_cf");
    //默认排序
    pro_s(".p_sort");
    pro_s(".p_sort1");
    pro_s(".p_sort2");
    pro_s(".p_sort3");
    //pro_s(".p_sort4");
    //精华置顶
    pro_s(".p_sort4");
    pro_s(".p_sort5");
    pro_s(".p_sort6");
//银行卡选择
    pro_s(".p_sort7");
    pro_s(".p_sort8");
    $(".pro_tip").toggle(function(){
        $(".filter li").eq(-1).hide(200);
        $(".filter li").eq(-2).hide(200);
        $(this).html("更多选项");
    },function(){
        $(".filter li").eq(-1).show(200);
        $(".filter li").eq(-2).show(200);
        $(this).html("收起选项");
    })

    $(".bank").click(function(){
        $(".pay_content").show();
    })
    $(".pay_qy").toggle(function(){
        $("#company").show();
        $(this).html("∧ 企业银行");
    },function(){
        $("#company").hide();
        $(this).html("∨ 企业银行");
    })
    $(".pay_border_b a").click(function(){
        $(".bank").html($(this).html());
        return false;
    })
    $(".pay_nav ul li ").click(function(){
        $(this).addClass("pay_nav_bj").siblings().removeClass("pay_nav_bj");
        $(".pay_nav ul li ").removeClass("pay_next")
        $(this).next().addClass("pay_next");
        $(".pay_nav_content .pay_tab").eq($(this).index()).show().siblings().hide();
        return false;
    })
    $('.pay_nav ul li').eq(0).click();
    $(".ph_tab a").click(function(){
        $(".ph_tab a").removeClass("phone_b");
        $(this).addClass("phone_b");
        $(".ph_other").removeClass("ph_other1").html("其他面值");
        return false;
    })
    $(".ph_other").click(function(){
        $(".ph_other").addClass("ph_other1");
        $(".ph_tab a").removeClass("phone_b");
        $(".ph_other").html("<input type='text' placeholder='其他面值'>");
        $(".ph_other input").focus();
    })
    $(".ph_other input").on('focusin',function() {
        if($(".ph_other input").val()!="其他面值"){
            $(".ph_other input").val($(".ph_other input").val());
        }
    })
    /* $(".cash li").click(function(){
     if($(this).find(".img_cut").size()){
     $(this).removeClass("cash_b");
     $(this).find(".img_cut").remove();
     }else{
     $(this).addClass("cash_b").append("<span class='img_cut'></span>");
     }
     })*/


    $(".cash li").click(function(){    //我的代金劵
        if($(this).find(".img_cut").css("right") != "-36px"){
            $(this).removeClass("cash_b");
            $(this).find(".img_cut").css("right",-36);
        }else{
            $(this).addClass("cash_b");
            $(this).find(".img_cut").css("right",0);
        }
        return false;
    })
    //复选框全选
    $(".check_all").click(function(){
        if($(this).attr("checked") == "checked"){
            $(".forum_card_list input").attr("checked",true);
        }else{
            $(".forum_card_list input").attr("checked",false);
        }
    })
    //内容页图片取缩进

    $(".p_cont img").parents("p").css("text-indent",0);
//file模拟
    $(".input_file").change(function () {
        $(this).parents("li").find(".file_val").val($(this).val());
    })

    if($("#noshowtop").size()== 0){
        var tall;//头部全部商品
        $(".nav_top").click(function(){
            if(!$(".nav_bot").is(":visible")){
                $(".nav_bot").slideDown(150);
                $(".nav_top").addClass("nav_hover");
                $(".nav_all").hover(function(){},function(){
                    $(".nav_top").removeClass("nav_hover");
                    $(".nav_bot").slideUp(150);
                })
            }else{
                $(".nav_top").removeClass("nav_hover");
                // $(".nav_bot").slideUp(150);
            }
        });
    }else{
        $(".nav_bot").removeClass("hidden");
    }

    $(".icon_btn").click(function(event) {
        $(".wel_black_blank,.first_index_welcome").show();
        $(".head_icon").addClass("head_icon_p");
        event.stopPropagation()
    });
    $(".h_city_x").click(function() {
        $(".head_icon").removeClass("head_icon_p");
        $(".h_city").slideUp(150)
    });
    $(".h_city_content a").click(function() {
        $(".head_icon").find(".head_icon_n").html($(this).html());
        $(".head_icon").removeClass("head_icon_p");
        $(".h_city").slideUp(150);
        var $this_name = $(this).html();
        if ($this_name == '北京') {
            ipLoc_s = "1-72-2799-0"
        }
        if ($this_name == '上海') {
            ipLoc_s = "2-78-79-0"
        }
        if ($this_name == '天津') {
            ipLoc_s = "3-51035-39620-0"
        }
        if ($this_name == '重庆') {
            ipLoc_s = "4-113-9775-0"
        }
        if ($this_name == '河北') {
            ipLoc_s = "5-142-143-0"
        }
        if ($this_name == '山西') {
            ipLoc_s = "6-303-304-0"
        }
        if ($this_name == '河南') {
            ipLoc_s = "7-412-415-0"
        }
        if ($this_name == '辽宁') {
            ipLoc_s = "8-560-567-0"
        }
        if ($this_name == '吉林') {
            ipLoc_s = "9-639-640-0"
        }
        if ($this_name == '黑龙江') {
            ipLoc_s = "10-698-699-0"
        }
        if ($this_name == '内蒙古') {
            ipLoc_s = "11-799-801-0"
        }
        if ($this_name == '江苏') {
            ipLoc_s = "12-904-905-0"
        }
        if ($this_name == '山东') {
            ipLoc_s = "13-1000-1002-0"
        }
        if ($this_name == '安徽') {
            ipLoc_s = "14-1116-1119-0"
        }
        if ($this_name == '浙江') {
            ipLoc_s = "15-1158-1224-0"
        }
        if ($this_name == '福建') {
            ipLoc_s = "16-1303-1305-0"
        }
        if ($this_name == '湖北') {
            ipLoc_s = "17-1381-1386-0"
        }
        if ($this_name == '湖南') {
            ipLoc_s = "18-1482-1485-0"
        }
        if ($this_name == '广东') {
            ipLoc_s = "19-1601-3633-0"
        }
        if ($this_name == '广西') {
            ipLoc_s = "20-1715-1716-0"
        }
        if ($this_name == '江西') {
            ipLoc_s = "21-1827-1828-0"
        }
        if ($this_name == '四川') {
            ipLoc_s = "22-1930-4284-0"
        }
        if ($this_name == '海南') {
            ipLoc_s = "23-2121-22466-0"
        }
        if ($this_name == '贵州') {
            ipLoc_s = "24-2144-2145-0"
        }
        if ($this_name == '云南') {
            ipLoc_s = "25-2235-2236-0"
        }
        if ($this_name == '西藏') {
            ipLoc_s = "26-2951-2952-0"
        }
        if ($this_name == '陕西') {
            ipLoc_s = "27-2376-2380-0"
        }
        if ($this_name == '甘肃') {
            ipLoc_s = "28-2487-2488-0"
        }
        if ($this_name == '青海') {
            ipLoc_s = "29-2580-2581-0"
        }
        if ($this_name == '宁夏') {
            ipLoc_s = "30-2628-2629-0"
        }
        if ($this_name == '新疆') {
            ipLoc_s = "31-2652-2653-0"
        }
        if ($this_name == '台湾') {
            ipLoc_s = "32-2768-2769-0"
        }
        if ($this_name == '香港') {
            ipLoc_s = "33-2754-2755-0"
        }
        if ($this_name == '澳门') {
            ipLoc_s = "34-2770-2771-0"
        }
        setCookie("ipLoc-djd", ipLoc_s);
        history.go(0)
    });
    var add_id = getCookie("ipLoc-djd");
    add_id = add_id ? add_id.split("-") : [1, 72, 2799, 0];
    if (add_id[0] == "1") {
        $(".head_icon_n").html("北京")
    }
    if (add_id[0] == "2") {
        $(".head_icon_n").html("上海")
    }
    if (add_id[0] == "3") {
        $(".head_icon_n").html("天津")
    }
    if (add_id[0] == "4") {
        $(".head_icon_n").html("重庆")
    }
    if (add_id[0] == "5") {
        $(".head_icon_n").html("河北")
    }
    if (add_id[0] == "6") {
        $(".head_icon_n").html("山西")
    }
    if (add_id[0] == "7") {
        $(".head_icon_n").html("河南")
    }
    if (add_id[0] == "8") {
        $(".head_icon_n").html("辽宁")
    }
    if (add_id[0] == "9") {
        $(".head_icon_n").html("吉林")
    }
    if (add_id[0] == "10") {
        $(".head_icon_n").html("黑龙江")
    }
    if (add_id[0] == "11") {
        $(".head_icon_n").html("内蒙古")
    }
    if (add_id[0] == "12") {
        $(".head_icon_n").html("江苏")
    }
    if (add_id[0] == "13") {
        $(".head_icon_n").html("山东")
    }
    if (add_id[0] == "14") {
        $(".head_icon_n").html("安徽")
    }
    if (add_id[0] == "15") {
        $(".head_icon_n").html("浙江")
    }
    if (add_id[0] == "16") {
        $(".head_icon_n").html("福建")
    }
    if (add_id[0] == "17") {
        $(".head_icon_n").html("湖北")
    }
    if (add_id[0] == "18") {
        $(".head_icon_n").html("湖南")
    }
    if (add_id[0] == "19") {
        $(".head_icon_n").html("广东")
    }
    if (add_id[0] == "20") {
        $(".head_icon_n").html("广西")
    }
    if (add_id[0] == "21") {
        $(".head_icon_n").html("江西")
    }
    if (add_id[0] == "22") {
        $(".head_icon_n").html("四川")
    }
    if (add_id[0] == "23") {
        $(".head_icon_n").html("海南")
    }
    if (add_id[0] == "24") {
        $(".head_icon_n").html("贵州")
    }
    if (add_id[0] == "25") {
        $(".head_icon_n").html("云南")
    }
    if (add_id[0] == "26") {
        $(".head_icon_n").html("西藏")
    }
    if (add_id[0] == "27") {
        $(".head_icon_n").html("陕西")
    }
    if (add_id[0] == "28") {
        $(".head_icon_n").html("甘肃")
    }
    if (add_id[0] == "29") {
        $(".head_icon_n").html("青海")
    }
    if (add_id[0] == "30") {
        $(".head_icon_n").html("宁夏")
    }
    if (add_id[0] == "31") {
        $(".head_icon_n").html("新疆")
    }
    if (add_id[0] == "32") {
        $(".head_icon_n").html("台湾")
    }
    if (add_id[0] == "33") {
        $(".head_icon_n").html("香港")
    }
    if (add_id[0] == "34") {
        $(".head_icon_n").html("澳门")
    }
    function setCookie(name, value) {
        var Days = 30;
        var exp = new Date();
        exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000);
        document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString() + ";path=/"+";domain=.uat.nsyh001.com";
    }
    function getCookie(name) {
        var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
        if (arr = document.cookie.match(reg)) {
            return unescape(arr[2])
        } else {
            return null
        }
    }
    function address_aj(address) {
        $.ajax({
            url: '/shop/api/select_address',
            data: {
                'address_id': address
            },
            type: 'post',
            success: function(e) {
                var data = eval('(' + e + ')');
                var str = '<li><a href="javascript:void(0)">请选择</a></li>';
                for (var i in data) {
                    str += ' <li><a href="javascript:return">' + data[i].address_name + '</a><input type="hidden" value="' + data[i].address_id + '" autocomplete="off"></li>'
                }
                $('#citys').html(str)
            }
        })
    }


    var first_cookie = null;
    $(".welcome_sel_one").eq(0).find(".wel_canselect ul li").click(function() {
        var weltext = $(this).text();
        $(this).parents(".welcome_sel_one").find(".wel_show_right").removeClass("onwel");
        $(this).parents(".welcome_sel_one").find(".wel_show_left").text(weltext);
        $(this).parents(".wel_canselect").slideUp();
        first_cookie = $(this).parents(".pro_bot.wel_canselect").find("#provice").val();
        setCookie("first_djd", first_cookie)
    });
    $(".wel_xuangou").click(function() {
        if ($("#county").val()) {
            var pro_new_adds = $("#provice").val();
            pro_new_adds = pro_new_adds ? $("#provice").val() : add_id_w[0];
            var new_adds = pro_new_adds + "-" + $("#city").val() + "-" + $("#county").val() + "-0";
            $(".wel_black_blank,.first_index_welcome").hide();
            setCookie("ipLoc-djd", new_adds);
            setCookie("index_close", true);
            window.location.reload()
        }
    });

    var set;
    $(".head_sz").hover(function() {
            var $thi = $(".head_sz").find(".head_sz_content");
            set = setTimeout(function() {
                    $(".head_bo").addClass("head_border");
                    $thi.slideDown(150)
                },
                500)
        },
        function() {
            clearTimeout(set);
            $(".head_bo").removeClass("head_border");
            $(".head_sz").find(".head_sz_content").slideUp(150)
        });



    $(".head_cart").hover(function(){    //头部我的购物车划过
        $(".head_cart").addClass("head_cart_bj");
        $(".head_cart_i ").addClass("head_cart_hover2")
        $(this).find(".head_cart_arrows").addClass("head_hover")
        $(".head_cart_content").show();
    },function(){
        $(".head_cart").removeClass("head_cart_bj");
        $(".head_cart_i ").removeClass("head_cart_hover2")
        $(this).find(".head_cart_arrows").removeClass("head_hover")
        $(".head_cart_content").hide();
    })


    $(".professor_z_n").focus(function(){           //文本框的焦点
        $(this).addClass("professor_z_n_h");
    }).blur(function(){
        $(this).removeClass("professor_z_n_h");
    })


    $(".head_seek_list li").hover(function(){         //头部搜索切换
        $(".head_seek_list li").removeClass("head_seek_list_qh")
        $(this).addClass("head_seek_list_qh");
    },function(){
        $(".head_seek_list li").removeClass("head_seek_list_qh")
    })
    $(".head_seek_list li").click(function(){
        $(".head_seek_list li").removeClass("head_seek_list_bj");
        $(this).addClass("head_seek_list_bj")
    })

    $(".head_cart_member").hover(function(){      //会员专区
        $(".x_head_cart_i").addClass("x_head_cart_is")
        $(".x_head_cart_arrows").addClass("x_head_cart_arrow_i")
    },function(){
        $(".x_head_cart_i").removeClass("x_head_cart_is")
        $(".x_head_cart_arrows").removeClass("x_head_cart_arrow_i")
    })
})
//选择地区
var addlist;
function select_address(address){
    $.ajax({
        async:false,
        url:'/api/index/select_address',
        data:{'address_id':address},
        type:'post',
        success:function(e){

            if(e == 1){
                addlist = '';
            }else if(e == 2){
                addlist = '';
            }else{
                var data=eval('('+e+')');
                var str = '';
                for(var i in data){
                    str+="<li><a href=\"javascript:return\">"+data[i].address_name+"</a><input type=\"hidden\" name=\"provice_id[]\" value=\""+data[i].address_id+"\"></li> ";
                }
                addlist = str;
            }
        }
    });
    return addlist;
}
//选择作物
var plantlist;
function select_plant(plant){
    if(plant != ''){
        $.ajax({
            async:false,
            url:'/user/user/SelectPlant',
            data:{'plant_id':plant},
            type:'post',
            success:function(e){
                //alert(e);
                if(e == 1){
                    plantlist = '';
                }else if(e == 2){
                    plantlist = '';
                }else{
                    var data=eval('('+e+')');
                    var str = '';
                    for(var i in data){
                        str+="<li><a href=\"javascript:return\">"+data[i].plant_name+"</a><input type=\"hidden\" name=\"provice_id[]\" value=\""+data[i].plant_id+"\"></li> ";
                    }
                    plantlist = str;
                }
            }
        });
    }
    return plantlist;
}
//晒收成筛选功能
$(".bask_right a").click(function(){
    $(this).parent().find('a').removeClass('bask_colour');
    $(this).addClass('bask_colour');
});
//学农技大视频效果
$(".famous_qh .famous").hover(function(){
    $(this).find(".famous_bj_t").animate({top: 193},200);
},function(){
    $(this).find(".famous_bj_t").animate({top: 223},200);
})

$(".nav_all_content_t").hover(function(){
    $(this).addClass("onwhite");
    $(this).find(".head_ico").addClass("nonebg");
    $(this).find(".nav_all_content_a a").addClass("onwhite");
    $(this).find(".nav_bot_h a").addClass("zx_sbjg");
    $(".nav_more_area").hide();
    $(this).find(".nav_more_area").show();
    $(this).find(".nav_icon").addClass("huang");
},function(){
    $(this).removeClass("onwhite");
    $(this).find(".head_ico").removeClass("nonebg");
    $(this).find(".nav_all_content_a a").removeClass("onwhite");
    $(this).find(".nav_bot_h a").removeClass("zx_sbjg");
    $(".nav_more_area").hide();
    $(this).find(".nav_icon").removeClass("huang");
})
$(".close_btn").click(function(){
    $(this).parents(".nav_more_area").hide();
})



